Lookup an existing user

This GET endpoint is used to lookup whether a user with the provided email and first name exists in the MassPay system.
To use this endpoint, you need to provide the email, first_name, and internal_user_id as Query parameters in the URL.
The endpoint will then search for the user based on the provided information and return a JSON response indicating whether the user exists or not. If the user exists, the response will also contain the user's details, user_token, first_name, last_name and internal_user_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

User's email address. Required if First Name is provided

string
required

User's first name. Required if email is provided

string
required

A client-defined identifier for the user. This is the unique ID assigned to the user on your system. Max 75 characters. Allows letters, numbers, and + , - . / _ ~ |. Required if email and first name are not provided

Headers
string

Unique key to prevent duplicate processing

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json